Bug 56053 - wmakerconf builds the "themes" tree incorrectly with nested theme subdirectories
Summary: wmakerconf builds the "themes" tree incorrectly with nested theme subdirectories
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wmakerconf   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-12 00:23 UTC by Bill Crawford
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:34:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix theme tree building in the theme browser (3.57 KB, patch)
2001-11-12 00:24 UTC, Bill Crawford
no flags Details | Diff
Updated wmakerconf.spec (3.37 KB, text/plain)
2001-11-12 00:25 UTC, Bill Crawford
no flags Details

Description Bill Crawford 2001-11-12 00:23:35 UTC
Description of Problem:
When there are multiple nested theme directories, the tree that is built is
corrupted; some themes appear at the top level of the tree instead of in
their subtrees, and some disappear altogether.

Version-Release number of selected component (if applicable):
2.8.1-3 has the problem, and it has existed for some time (pre-Roswell), I
finally got around to reporting it :o)

Additional Information:
I have a band-aid "fix" which I attach, which disables the use of the
"sibling" tracking while building the tree; it works then.  I think the
code is trying to be too clever; as the tree gets sorted anyway there is no
need to keep track of the position entries are being inserted into the
subtrees.  Anyway, it works correctly with this patch.  I will attach it in
a moment, with the modified spec file.

Comment 1 Bill Crawford 2001-11-12 00:24:26 UTC
Created attachment 37244 [details]
Patch to fix theme tree building in the theme browser

Comment 2 Bill Crawford 2001-11-12 00:25:40 UTC
Created attachment 37245 [details]
Updated wmakerconf.spec

Comment 3 Phil Copeland 2002-08-12 18:31:14 UTC
WindowMaker updated to 0.81.0
see ftp://ftp.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.